      Subroutine STEPZ(ISTEPZ,xkper0)
c     ==================================================================
c     Advance one step in Z
c     ------------------------------------------------------------------
c
      INCLUDE 'genesis.def'
      INCLUDE 'input.cmn'
      INCLUDE 'magnet.cmn'
      INCLUDE 'particle.cmn'
c
      integer istepz
      real*8  xkper0
c
c
      FBESS=FBESS0                    !field-beam coupling
      IF (AWZ(ISTEPZ).LT.TINY) THEN      
         FBESS=0.0                    !no coupling in drift section
      endif
c
c     not official begin
c
c      awz(istepz)=gamma(itap)*gamma(itap)*wcoefz(2)*wcoefz(2)
c      awz(istepz)=awz(istepz)*2.*XLAMDS/XLAMD -1.
c      awz(istepz)=sqrt(awz(istepz))
c
c     not official end
c
      CALL ESOURCE(ISTEPZ)            !Space charge terms
      CALL PUSHP(ISTEPZ,xkper0)       !Push particles
      CALL SOURCE(ISTEPZ)             !Source term for radiation field
      CALL FIELD                      !Integrate wave equation
c
c     Extensions to GENESIS 1.3
c 
      CALL Incoherent(AWZ(iSTEPZ))    !subroutine supplied by Pascal Elleaume
                                      !include incoherent part of 
                                      !synchrotron radiation 
c
      Return
      End     !STEPZ

c
