      FUNCTION extractnumber(line,val)
c     ======================================================================
c     extract float from LINE, ignoring preceeding '='-signs
c     ======================================================================
c
      character*(*) line
      character*(255) cline
      real*8 val
      integer extractnumber,i,n,j
c
      extractnumber=0
      n=len(line)   
      i=index(line,'=')+1         !find equal sign
      cline=line(i:n)             !cut string
      call getfirstchar(cline,j)  !check if string is empty
      if (j.eq.0) then            
         extractnumber=-1
         return
      endif
      read(cline,*) val
      return
      end
c
      FUNCTION extractval(line,values,nval)
c     ======================================================================
c     extract nval data out of line
c     ======================================================================
c
      character*(*) line
      character*(255) cline
      real*8 values(*)
      integer i,j,nval,ix1,ix2,extractval
c
      extractval=0
      cline=line
      do i=1,nval   
         call getfirstchar(cline,ix1) !check for characters
         if (ix1.eq.0) then !empty string
            extractval=-1    
            return
         endif
         ix2=255             !search backwards
         do j=255,ix1+1,-1   !for first space after ix1
           if (cline(j:j).eq.' ') ix2=j  
         enddo
         line=cline(ix1:ix2)    !copy word
         read(line,*) values(i) !get value
         line=cline(ix2:255)    !copy remaining part of the line
         cline=line             !to cline
      enddo
      return
      end
c
      SUBROUTINE GETFIRSTCHAR(line,idx)
c     ======================================================================
c     get the index of the first non space character
c     ======================================================================
c  
      character*(*) line
      integer idx,i 
c
      idx=0
      do i=1,len(line)
         if ((line(i:i).gt.' ').and.(idx.lt.1)) idx=i
      enddo
      return
      end
c
      SUBROUTINE TOUPPERCASE(c)
c     ======================================================================
c     convert string to upper case letters
c     ======================================================================
c
      character*(*) c
      integer i,ic

      do i=1,len(c)
         ic=ICHAR(c(i:i))
         If ((ic.Gt.96).AND.(ic.LT.123)) then
            ic=ic-32
            c(i:i)=char(ic)  !replace with uppercase character
         endif 
      enddo   
      RETURN
      END
c
      FUNCTION strlen(line)
c     ===================================================================
c     Check length of given string
c     ===================================================================
c
      INTEGER nchar, nchar1,len,strlen
      CHARACTER*(*) line

      strlen=1
      nchar1=len(line)
 999  nchar=index(line(nchar1:nchar1),' ')
      if(nchar.NE.0) THEN
         if(nchar1.GT.1) THEN
            nchar1=nchar1-1
            goto 999
         ENDIF
      ENDIF
      strlen = nchar1
c
      RETURN
      END
c
c
